[Interface]
Address = {{ client_vpn_ip }}
PrivateKey = {{ client_privatekey.content | b64decode | trim }}

{% for node in play_hosts %}
[Peer]
# {{ hostvars[node]['inventory_hostname'] }}.{{ arc['space']['space_domain'] }}
PublicKey = {{ hostvars[node].public.content | b64decode | trim }}
AllowedIPs = {{ hostvars[node].vpn_ip }}
Endpoint = {{ hostvars[node]['ansible_host'] | default(hostvars[node]['inventory_hostname']) }}:{{ wireguard_port }}
PersistentKeepalive = 25

{% endfor %}

{% if wireguard_additional_peers %}
{% for node in wireguard_additional_peers %}
# {{ node.comment  }}
[Peer]
PublicKey = {{ node.key }}
AllowedIPs = {{ node.ip }}

{% endfor %}
{% endif %}